<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://www.dass-it.de/VanHelsing/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="VanHelsing" targetNamespace="http://www.dass-it.de/VanHelsing/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://www.dass-it.de/VanHelsing/">
      <xsd:element name="listResources" type="tns:listResourcesType">
      </xsd:element>
      <xsd:element name="listResourcesResponse" type="tns:resourceListType">
      </xsd:element>
      <xsd:complexType name="listResourcesType">
      	<xsd:sequence>
      		<xsd:element name="resourceType" type="xsd:string"></xsd:element>
      		<xsd:element name="director" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="resourceListType">
      	<xsd:sequence>
      		<xsd:element name="resource" type="tns:ResourceInfo" maxOccurs="unbounded" minOccurs="0"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
    
      <xsd:complexType name="ResourceInfo">
      	<xsd:sequence>
      		<xsd:element name="resId" type="xsd:int"></xsd:element>
      		<xsd:element name="resType" type="xsd:string"></xsd:element>
      		<xsd:element name="resName" type="xsd:string"></xsd:element>
      		<xsd:element name="director" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
      <xsd:element name="getSimpleResource" type="tns:getResourceType"></xsd:element>
      <xsd:element name="getSimpleResourceResponse">
      	<xsd:complexType>
      		<xsd:sequence>
      			<xsd:element name="resInfo" type="tns:ResourceInfo"></xsd:element>
      			<xsd:element name="resAttribute" type="tns:ResourceAttributeType" maxOccurs="unbounded" minOccurs="0"></xsd:element>
      		</xsd:sequence>
      	</xsd:complexType>
      </xsd:element>
    
      <xsd:complexType name="ResourceAttributeType">
      	<xsd:sequence>
      		<xsd:element name="key" type="xsd:string"></xsd:element>
      		<xsd:element name="value" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
    
    
      <xsd:complexType name="getResourceType">
      	<xsd:sequence>
      		<xsd:element name="resId" type="xsd:int"></xsd:element>
      		<xsd:element name="director" type="xsd:string"></xsd:element>
      	</xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="listResourcesRequest">
    <wsdl:part name="resourceType" element="tns:listResources"/>
  </wsdl:message>
  <wsdl:message name="listResourcesResponse">
    <wsdl:part element="tns:listResourcesResponse" name="resultList"/>
  </wsdl:message>
  <wsdl:message name="getSimpleResourceRequest">
  	<wsdl:part name="resourceId" element="tns:getSimpleResource"></wsdl:part>
  </wsdl:message>
  <wsdl:message name="getSimpleResourceResponse">
  	<wsdl:part name="parameters" element="tns:getSimpleResourceResponse"></wsdl:part>
  </wsdl:message>
  <wsdl:portType name="VanHelsing">
    <wsdl:operation name="listResources">
      <wsdl:input message="tns:listResourcesRequest"/>
      <wsdl:output message="tns:listResourcesResponse"/>
    </wsdl:operation>
    <wsdl:operation name="getSimpleResource">
    	<wsdl:input message="tns:getSimpleResourceRequest"></wsdl:input>
    	<wsdl:output message="tns:getSimpleResourceResponse"></wsdl:output>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="VanHelsingSOAP" type="tns:VanHelsing">
  	<soap:binding style="document"
  		transport="http://schemas.xmlsoap.org/soap/http" />
  	<wsdl:operation name="listResources">
  		<soap:operation
  			soapAction="http://www.dass-it.de/VanHelsing/listResources" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>
  			<soap:body use="literal" />
  		</wsdl:output>
  	</wsdl:operation>
  	<wsdl:operation name="getSimpleResource">
  		<soap:operation
  			soapAction="http://www.dass-it.de/VanHelsing/getResource" />
  		<wsdl:input>
  			<soap:body use="literal" />
  		</wsdl:input>
  		<wsdl:output>
  			<soap:body use="literal" />
  		</wsdl:output>
  	</wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="VanHelsing">
    <wsdl:port binding="tns:VanHelsingSOAP" name="VanHelsingSOAP">
      <soap:address location="http://localhost:8080/"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>
